This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 795074 - [abrt] imsettings-1.2.8-1.fc16: _dl_sort_fini: Process /usr/bin/imsettings-check was killed by signal 11 (SIGSEGV)
[abrt] imsettings-1.2.8-1.fc16: _dl_sort_fini: Process /usr/bin/imsettings-ch...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: imsettings (Show other bugs)
16
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Akira TAGOH
Fedora Extras Quality Assurance
abrt_hash:c4186403d3fe7a83ebee390a6e0...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-02-19 00:49 EST by Tony Browning
Modified: 2013-01-23 04:00 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-23 04:00:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
File: backtrace (16.51 KB, text/plain)
2012-02-19 00:50 EST, Tony Browning
no flags Details
File: coredump (8.69 MB, text/plain)
2012-02-19 00:59 EST, Tony Browning
no flags Details
File: maps (4.68 KB, text/plain)
2012-02-19 00:59 EST, Tony Browning
no flags Details

  None (edit)
Description Tony Browning 2012-02-19 00:49:50 EST
libreport version: 2.0.8
abrt_version:   2.0.7
backtrace_rating: 4
cmdline:        imsettings-check --check-dbus
comment:        installing updates then crashed.
crash_function: _dl_sort_fini
executable:     /usr/bin/imsettings-check
kernel:         3.1.0-7.fc16.i686
pid:            1421
pwd:            /home/tonybrowning
reason:         Process /usr/bin/imsettings-check was killed by signal 11 (SIGSEGV)
time:           Sat 18 Feb 2012 11:38:55 PM EST
uid:            1000
username:       tonybrowning
var_log_messages: Feb 18 23:38:56 toshiba abrt[1423]: Saved core dump of pid 1421 (/usr/bin/imsettings-check) to /var/spool/abrt/ccpp-2012-02-18-23:38:55-1421 (9113600 bytes)
xsession_errors: /etc/X11/xinit/xinitrc.d/50-xinput.sh: line 24:  1421 Segmentation fault      (core dumped) imsettings-check --check-dbus

backtrace:      Text file, 16906 bytes
maps:           Text file, 4795 bytes

build_ids:
:4ad17dce13b95c3f6543c3ab56624e321dc1fce8
:fb138a019cd93aa6212be49f31654f7bcb474640
:798697a352bae4178953ba502fb04f33dd0ed987
:1df53725e371c75ee897f32d82ec0497ecbb8599
:e86c829bf8553d6b593dbd8c4df0957268dc8328
:879571cf1e8dd31736d0f24b55e0daffc1591278
:d1bd2374eb12ee6116690a80ce23d695b3d585e8
:15bab279752ad8e30f901abae77bcb1ed1f38977
:59c22a603e066352375b9abf33e25e455885e29c
:641296f1c3020865058939e8629a44acffcc3339
:92418f7b783e29ab8440148e3fb0cbcfb8bb354a
:5d34a26f81175d62c3617701cb9f83f450700f43
:39115138ce2cd82c97324f17286b7b5941fbdef1
:f8e2e3adf420486889169759ccf806dc393ca12f
:d7cd016536dcce05ea28a1219c92eb9507121fa3
:bdbcb7ad0ae16806e9002af3c6d1ec65353108a0
:12da4d1dc9764d3990ab6a2def5a88c4687d4550
:1f60ce3a43a5e6db2df2252da25ac0aa9f90b6b9
:85d6747093886eff44cf10e88d3eb9c88b6eb95d
:36cc7c0490b1d29bbe496654fe01dea01f6c8615
:10cec21724c13b95ec03f00985b0405412817a49

dso_list:
:/lib/libdl-2.14.90.so glibc-2.14.90-24.fc16.4.i686 (Fedora Project) 1329617650
:/lib/libgthread-2.0.so.0.3000.1 glib2-2.30.1-1.fc16.i686 (Fedora Project) 1329122068
:/lib/libgcc_s-4.6.2-20111027.so.1 libgcc-4.6.2-1.fc16.i686 (Fedora Project) 1329122052
:/usr/lib/libXau.so.6.0.0 libXau-1.0.6-2.fc15.i686 (Fedora Project) 1317262709
:/lib/libgmodule-2.0.so.0.3000.1 glib2-2.30.1-1.fc16.i686 (Fedora Project) 1329122068
:/usr/lib/libX11.so.6.3.0 libX11-1.4.3-1.fc16.i686 (Fedora Project) 1317262709
:/lib/libresolv-2.14.90.so glibc-2.14.90-24.fc16.4.i686 (Fedora Project) 1329617650
:/lib/libgobject-2.0.so.0.3000.1 glib2-2.30.1-1.fc16.i686 (Fedora Project) 1329122068
:/lib/librt-2.14.90.so glibc-2.14.90-24.fc16.4.i686 (Fedora Project) 1329617650
:/lib/libpthread-2.14.90.so glibc-2.14.90-24.fc16.4.i686 (Fedora Project) 1329617650
:/usr/lib/libimsettings.so.5.2.0 imsettings-libs-1.2.8-1.fc16.i686 (Fedora Project) 1329122100
:/usr/lib/libxcb.so.1.1.0 libxcb-1.7-3.fc16.i686 (Fedora Project) 1317262709
:/lib/ld-2.14.90.so glibc-2.14.90-24.fc16.4.i686 (Fedora Project) 1329617650
:/usr/bin/imsettings-check imsettings-1.2.8-1.fc16.i686 (Fedora Project) 1329122164
:/lib/libselinux.so.1 libselinux-2.1.6-6.fc16.i686 (Fedora Project) 1329122062
:/usr/lib/libffi.so.5.0.10 libffi-3.0.10-1.fc16.i686 (Fedora Project) 1329122066
:/lib/libz.so.1.2.5 zlib-1.2.5-4.fc16.i686 (Fedora Project) 1317262706
:/lib/libglib-2.0.so.0.3000.1 glib2-2.30.1-1.fc16.i686 (Fedora Project) 1329122068
:/lib/libc-2.14.90.so glibc-2.14.90-24.fc16.4.i686 (Fedora Project) 1329617650
:/usr/lib/locale/locale-archive glibc-common-2.14.90-24.fc16.4.i686 (Fedora Project) 1329617635
:/lib/libgio-2.0.so.0.3000.1 glib2-2.30.1-1.fc16.i686 (Fedora Project) 1329122068

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=2
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:TERM=dumb
:SHELL=/bin/bash
:XDG_SESSION_COOKIE=0ffc44e42efe049981d3787c0000000d-1329626335.48821-1906449258
:GNOME_KEYRING_CONTROL=/tmp/keyring-KvV412
:IMSETTINGS_MODULE=none
:USER=tonybrowning
:USERNAME=tonybrowning
:DESKTOP_SESSION=gnome
:PATH=/usr/local/bin:/usr/bin:/bin
:QT_IM_MODULE=xim
:PWD=/home/tonybrowning
:XMODIFIERS=@im=none
:LANG=en_US.UTF-8
:GNOME_KEYRING_PID=1306
:GDMSESSION=gnome
:SHLVL=1
:XDG_SEAT=seat0
:HOME=/home/tonybrowning
:LOGNAME=tonybrowning
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-EyUaCDBYuV,guid=fee2b9404b92a495e8ba0c610000004f
:WINDOWPATH=1
:DISPLAY=:0
:XDG_RUNTIME_DIR=/run/user/tonybrowning
:XAUTHORITY=/var/run/gdm/auth-for-tonybrowning-6rJ28V/database
:_=/usr/bin/imsettings-check

event_log:
:2012-02-19-00:38:56> Analyzing coredump 'coredump'
:2012-02-19-00:39:10  Coredump references 21 debuginfo files, 2 of them are not installed
:2012-02-19-00:39:13  Setting up yum repositories
:2012-02-19-00:39:13  Looking for needed packages in repositories
:2012-02-19-00:39:17  Packages to download: 1
:2012-02-19-00:40:07  Downloading 0.29Mb, installed size: 1.12Mb. Continue? YES
:2012-02-19-00:40:28  Downloading (1 of 1) imsettings-debuginfo-1.2.8-1.fc16.i686.rpm:  44
:2012-02-19-00:40:33  Downloading (1 of 1) imsettings-debuginfo-1.2.8-1.fc16.i686.rpm: 100
:2012-02-19-00:40:35  Extracting cpio from /tmp/abrt-tmp-debuginfo-2012-02-19-00:39:01.1855/imsettings-debuginfo-1.2.8-1.fc16.i686.rpm
:2012-02-19-00:40:40  Caching files from unpacked.cpio made from imsettings-debuginfo-1.2.8-1.fc16.i686.rpm
:2012-02-19-00:40:41  Removing /tmp/abrt-tmp-debuginfo-2012-02-19-00:39:01.1855
:2012-02-19-00:40:42  All 21 debuginfo files are available
:2012-02-19-00:40:44  Generating backtrace
:2012-02-19-00:40:53  Backtrace is generated and saved, 16906 bytes
:2012-02-19-00:41:21> Element 'xsession_errors' saved
:2012-02-19-00:41:49> Smolt profile successfully saved

smolt_data:
:
:
:General
:=================================
:UUID: 219ed543-db70-45fe-898b-43908bcb897e
:OS: Fedora release 16 (Verne)
:Default run level: Unknown
:Language: en_US.UTF-8
:Platform: i686
:BogoMIPS: 3457.48
:CPU Vendor: GenuineIntel
:CPU Model: Genuine Intel(R) CPU           T2250  @ 1.73GHz
:CPU Stepping: 8
:CPU Family: 6
:CPU Model Num: 14
:Number of CPUs: 2
:CPU Speed: 1733
:System Memory: 993
:System Swap: 2015
:Vendor: TOSHIBA
:System: Satellite A100 PSB10U-SA10ES1
:Form factor: Other
:Kernel: 3.1.0-7.fc16.i686
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(4172:32827:4473:65296) pci, tifm_7xx1, STORAGE, 5-in-1 Multimedia Card Reader (SD/MMC/MS/MS PRO/xD)
:(32902:4242:4473:65296) pci, e100, ETHERNET, PRO/100 VE Network Connection
:(32902:10144:4473:65296) pci, agpgart-intel, HOST/PCI, Mobile 945GM/PM/GMS, 943/940GML and 945GT Express Memory Controller Hub
:(4172:32826:4473:65296) pci, firewire_ohci, FIREWIRE, PCIxx12 OHCI Compliant IEEE 1394 Host Controller
:(4172:32825:4473:65296) pci, yenta_cardbus, PCI/CARDBUS, PCIxx12 Cardbus Controller
:(4172:32828:4473:65296) pci, sdhci-pci, BASE, PCIxx12 SDA Standard Compliant SD Host Controller
:(32902:10169:4473:65296) pci, None, PCI/ISA, 82801GBM (ICH7-M) LPC Interface Bridge
:(32902:10196:4473:65296) pci, pcieport, PCI/PCI, N10/ICH 7 Family PCI Express Port 3
:(32902:9288:4473:65296) pci, None, PCI/PCI, 82801 Mobile PCI Bridge
:(32902:10185:4473:65296) pci, uhci_hcd, USB, N10/ICH 7 Family USB UHCI Controller #2
:(32902:10184:4473:65296) pci, uhci_hcd, USB, N10/ICH 7 Family USB UHCI Controller #1
:(32902:10187:4473:65296) pci, uhci_hcd, USB, N10/ICH 7 Family USB UHCI Controller #4
:(32902:10186:4473:65296) pci, uhci_hcd, USB, N10/ICH 7 Family USB UHCI Controller #3
:(32902:10188:4473:65296) pci, ehci_hcd, USB, N10/ICH 7 Family USB2 EHCI Controller
:(32902:10146:4473:65296) pci, None, VIDEO, Mobile 945GM/GMS, 943/940GML Express Integrated Graphics Controller
:(32902:10150:4473:65296) pci, None, VIDEO, Mobile 945GM/GMS/GME, 943/940GML Express Integrated Graphics Controller
:(32902:10192:4473:65296) pci, pcieport, PCI/PCI, N10/ICH 7 Family PCI Express Port 1
:(32902:10194:4473:65296) pci, pcieport, PCI/PCI, N10/ICH 7 Family PCI Express Port 2
:(32902:10200:4473:65296) pci, snd_hda_intel, MULTIMEDIA, Toshiba Satellite A100-796 audio (Realtek ALC861)
:(32902:10202:4473:65296) pci, i801_smbus, SERIAL, N10/ICH 7 Family SMBus Controller
:(32902:16930:32902:4160) pci, iwl3945, NETWORK, PRO/Wireless 3945ABG [Golan] Network Connection
:(32902:10180:4473:65296) pci, ata_piix, STORAGE, 82801GBM/GHM (ICH7 Family) SATA IDE Controller
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/vg_toshiba-lv_root / ext4 4096 4096 12901535 11552182 11421160 3276800 3146068 3146068
:/dev/sda1 /boot ext4 1024 1024 495844 438481 412881 128016 127792 127792
:/dev/mapper/vg_toshiba-lv_home /home ext4 4096 4096 10498372 10105200 9571901 2670592 2669784 2669784
:
Comment 1 Tony Browning 2012-02-19 00:50:18 EST
Created attachment 564122 [details]
File: backtrace
Comment 2 Tony Browning 2012-02-19 00:59:15 EST
Created attachment 564129 [details]
File: coredump
Comment 3 Tony Browning 2012-02-19 00:59:20 EST
Created attachment 564130 [details]
File: maps
Comment 4 Tony Browning 2012-02-25 18:43:05 EST
As far as I know, consider this as fixed for me with updates.
Comment 5 Akira TAGOH 2012-02-26 20:26:58 EST
Was it reproducible before updating? it's hard to figure out from the backtrace if the changes in the update is relevant to this.
Comment 6 Fedora End Of Life 2013-01-16 12:43:44 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Akira TAGOH 2013-01-23 04:00:20 EST
Please reopen or file a new bug if/when you can see this issue again then.

Note You need to log in before you can comment on or make changes to this bug.